ROTCONVERTER(1)

NAME
rotconverter - Manipulate finite and stage rotations

SYNOPSIS
rotconverter [ +|- ] rotA [ +|- rotB ] [ +|- rotC ] ... [ -C[a|t]] [ -D ] [ -Fin/out ] [ -N ] [ -S ] [ -T ] [ -V ]

DESCRIPTION
rotconverter reads one or more plate motion models (rotations) stored in the given files. If more than one plate motion model is given we will add or subtract them in the order they were listed. The minus sign means we should first transpose the rotation and then add it to the previous rotation. The input files must all be of the same type (stage poles or finite rotations) which may differ from the desired output format; see -F. If a file cannot be opened we will attempt to decode the file name as a single rotation whose parameters are separated by slashes.
    No space between the option flag and the associated arguments. Use upper case for the option flags and lower case for modifiers.

rotX
    Name of a file with a plate motion model. Separate several files with desired operator (+ or -). The very first file may also have a leading minus to imply a transpose. If any of the specified rotation models cannot be opened as a file, we will try to decode the file name as lon/lat/tstart[/tstop]/angle for a single rotation given on the command line. The tstop argument is required for stage poles only. For a finite rotation without any time information, give lon/lat/angle only.

OPTIONS

-C  Write out a column header record indentifying the various columns [Default is no header record]. Append a to indicate opening angles and t to indicate opening rates [Default].

-D  Report longitudes use the -180/+180 range [Default is 0/360].

-F  Specify both the input and output format for rotations. The in and out flags must be either f or s for finite or stage rotations, respectively. Note that both must be specified if -F is set [Default is -Fff (both input and output are finite rotations)].

-N  Place all output poles in the northern hemisphere [Default reports positive rotation angles].

-S  Place all output poles in the southern hemisphere [Default reports positive rotation angles].

-T  Transpose the final result, i.e., change the sign of the rotation angles.

-V  Verbose option: Report statistics of extracted rotations [Default is silent].

EXAMPLES
To convert the finite rotations in the file model_finite.APM to stage poles, run

rotconverter model_finite.APM -Ffs > model_stages.APM

To obtain Nazca motion relative to Pacific hotspots by adding the motion of Nazca relative to a fixed Pacific to the Pacific-Hotspot reference model DC85_stages.d, and report the result as finite reconstruction poles in the northern hemisphere, try

rotconverter DC85_stages.APM + Pac_Naz_stages.RPM -N -Fsf > Naz_HS_finite.APM

To add the final rotations ROT(150.1, 70.5, -20.3) and ROT (145.0, 40.0, 11.4), try

rotconverter 150.1/70.5/-20.3 + 145/40/11.4

which prints out 157.32, -80.44, 11.97.

SEE ALSO
backtracker(1), hotspotter(1), originator(1)